<div class="m-2">
    <div>
        <div><span><b>User Management > User> <i>View</i></b></span></div>
    </div>
    <div class="view-user card mt-3">
        <div class="card-header"><span><b>View User</b></span></div>
        <div *ngIf="user" class="card-body m-3 ml-4">
            <div>
                <div class="row mt-4 mobile-flex">
                    <div class="row col-6">
                        <div class="col-4"><span><b>Email:</b></span></div>
                        <div class="col-8"><span>{{user.email}}</span></div>
                    </div>
                    <div class="row col-6 custom-margin">
                        <div class="col-4"><span><b>Username:</b></span></div>
                        <div class="col-8"><span>{{user.login}}</span></div>
                    </div>
                </div>
                <div class="row mt-4 mobile-flex">
                    <div class="row col-6">
                        <div class="col-4"><span><b>First Name:</b></span></div>
                        <div class="col-8"><span>{{user.firstName}}</span></div>
                    </div>
                    <div class="row col-6 custom-margin">
                        <div class="col-4"><span><b>Last name:</b></span></div>
                        <div class="col-8"><span>{{user.lastName}}</span></div>
                    </div>
                </div>
                <div class="row mt-4 mobile-flex">
                    <div class="row col-6">
                        <div class="col-4"><span><b>Title:</b></span></div>
                        <div class="col-8"><span>{{user.title}}</span></div>
                    </div>
                    <div class="row col-6 custom-margin">
                        <div class="col-4"><span><b>Gender:</b></span></div>
                        <div class="col-8 d-flex"><span>{{user.gender}}</span></div>
                    </div>
                </div>
                <div class="row mt-4 mobile-flex">
                    <div class="row col-6">
                        <div class="col-4"><span><b>Salutation:</b></span></div>
                        <div class="col-8"><span>{{user.salutation}}</span></div>
                    </div>
                    <div class="row col-6 custom-margin">
                        <div class="col-4"><span><b>Phone:</b></span></div>
                        <div class="col-8"><span>{{user.phone}}</span></div>
                    </div>
                </div>
                <div class="row mt-4 mobile-flex">
                    <div class="row col-6">
                        <div class="col-4"><span><b>Language:</b></span></div>
                        <div class="col-8"><span>{{user.langKey}}</span></div>
                    </div>

                    <div class="row col-6 custom-margin">
                        <div class="col-4"><span><b>Status:</b></span></div>
                        <div class="col-8"><span>{{(user.activated ? 'Activated' : 'Deactivated')}}</span></div>
                    </div>
                </div>

                <div class="row mt-4 mobile-flex">
                    <div class="row col-6">
                        <div class="col-4"><span><b>Modified By:</b></span></div>
                        <div class="col-8"><span>{{user.lastModifiedBy}}</span></div>
                    </div>
                    <div class="row col-6 custom-margin">
                        <div class="col-4"><span><b>Authority:</b></span></div>
                        <div class="col-8"><span>{{user.authorities}}</span></div>
                    </div>
                </div>
                <div class="row mt-4 mobile-flex">
                    <div class="row col-6">
                        <div class="col-4"><span><b>Created Date:</b></span></div>
                        <div class="col-8"><span>{{user.createdDate | date: 'MM/dd/yyyy, HH:mm'}}</span></div>
                    </div>
                    <div class="row col-6 custom-margin">
                        <div class="col-4"><span><b>Modified date:</b></span></div>
                        <div class="col-8"><span>{{user.lastModifiedDate | date: 'MM/dd/yyyy, HH:mm'}}</span></div>
                    </div>
                </div>
                <div class="row mt-4 mobile-flex">
                    <div *ngIf="!isNollySoftAdmin" class="row col-6">
                        <div class="col-4"><span><b>User Group:</b></span></div>
                        <div class="col-8">
                            <div *ngFor="let usergorup of user.userGroups">
                                <span>{{usergorup.name}}</span>
                            </div>
                        </div>
                    </div>
                    <div *ngIf="!isAdminUser" class="row col-6 custom-margin">
                        <div class="col-4"><span><b>Tenant Id:</b></span></div>
                        <div class="col-8"><span>{{user.tenantId}}</span></div>
                    </div>
                </div>
                <div class="row mt-4 mobile-flex">
                    <div *ngIf="!isAdminUser" class="row col-6">
                        <div class="col-4"><span><b>Role:</b></span></div>
                        <div class="col-8">
                            <span>{{user.role}}</span>
                        </div>
                    </div>
                </div>
                <div>
                    <div class="action-div">
                        <jhi-button (click)="cancel()" cancel-lg>Cancel</jhi-button>
                        <jhi-button (click)="edit(user)" edit-user>Edit</jhi-button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
